Devuan bug report logs - #602
/bin/run-parts hardcoded in many scripts but moved to /usr/bin

Package: debianutils; Maintainer for debianutils is (unknown); Source for debianutils is src:debianutils.

Reported by: Klaus Ethgen <Klaus@ethgen.de>

Date: Wed, 18 Aug 2021 05:52:01 UTC

Severity: critical

Tags: debian, moreinfo

Found in version 5.0.1-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#602; Package debianutils. (Wed, 18 Aug 2021 05:52:01 GMT) (full text, mbox, link).


Acknowledgement sent to Klaus Ethgen <Klaus@ethgen.de>:
New bug report received and forwarded. Copy sent to devuan-dev@lists.dyne.org. (Wed, 18 Aug 2021 05:52:05 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Klaus Ethgen <Klaus@ethgen.de>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: /bin/run-parts hardcoded in many scripts but moved to /usr/bin
Date: Wed, 18 Aug 2021 07:47:06 +0200
[Message part 1 (text/plain, inline)]
Package: debianutils
Version: 5.0.1-1
Severity: critical

/bin/run-parts is hardcoded in many scripts. Version 5.0.1-1 moved it to
/usr/bin which breaks most of the system including network, wdm and many
more.

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 4 (chimaera)
Release:	4
Codename:	n/a
Architecture: x86_64

Kernel: Linux 5.13.4 (SMP w/8 CPU threads)
Kernel taint flags: TAINT_PROPRIETARY_MODULE, TAINT_FIRMWARE_WORKAROUND, TAINT_OOT_MODULE
Locale: LANG=C, LC_CTYPE=C.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)

Versions of packages debianutils depends on:
ii  libc6  2.31-15

debianutils recommends no packages.

debianutils suggests no packages.

-- no debconf information
-- 
Klaus Ethgen                                       http://www.ethgen.ch/
pub  4096R/4E20AF1C 2011-05-16            Klaus Ethgen <Klaus@Ethgen.ch>
Fingerprint: 85D4 CA42 952C 949B 1753  62B3 79D0 B06F 4E20 AF1C
[signature.asc (application/pgp-signature, inline)]

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#602; Package debianutils. (Wed, 18 Aug 2021 06:52:02 GMT) (full text, mbox, link).


Message #8 received at 602@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Klaus Ethgen <Klaus@ethgen.de>, 602@bugs.devuan.org
Subject: Re: bug#602: /bin/run-parts hardcoded in many scripts but moved to /usr/bin
Date: Wed, 18 Aug 2021 07:40:01 +0100
Control: -1 tags debian moreinfo

Klaus,

On Wed, Aug 18, 2021 at 07:47:06AM +0200, Klaus Ethgen wrote:
> Package: debianutils
> Version: 5.0.1-1
> Severity: critical
> 
> /bin/run-parts is hardcoded in many scripts. Version 5.0.1-1 moved it to
> /usr/bin which breaks most of the system including network, wdm and many
> more.

Thanks for this. Debianutils is not a forked package and Devuan uses Debian's
packages directly without recompilation. Therefore, in principle, this should be
reported to Debian's BTS to be fixed there.

Debian has just released Bullseye and therefore there are going to be many
uploads to unstable which may be *much* more unstable than of recent.

I suspect the Debian maintainer's answer may be that this merely uncovers a bug
in the packages which hardcode /bin/run-parts and you should bug them
directly. Do you have specific examples?

Thanks

Added tag(s) moreinfo and debian. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 18 Aug 2021 09:14:01 GMT) (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#602; Package debianutils. (Wed, 18 Aug 2021 11:32:02 GMT) (full text, mbox, link).


Acknowledgement sent to Klaus Ethgen <Klaus@ethgen.de>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Wed, 18 Aug 2021 11:32:05 GMT) (full text, mbox, link).


Message #15 received at 602@bugs.devuan.org (full text, mbox, reply):

From: Klaus Ethgen <Klaus@ethgen.de>
To: Mark Hindley <mark@hindley.org.uk>
Cc: 602@bugs.devuan.org
Subject: Re: bug#602: /bin/run-parts hardcoded in many scripts but moved to /usr/bin
Date: Wed, 18 Aug 2021 12:29:36 +0100
[Message part 1 (text/plain, inline)]
Hi Mark,


Am Mi den 18. Aug 2021 um  7:40 schrieb Mark Hindley:
> On Wed, Aug 18, 2021 at 07:47:06AM +0200, Klaus Ethgen wrote:
> > Package: debianutils
> > Version: 5.0.1-1
> > Severity: critical
> > 
> > /bin/run-parts is hardcoded in many scripts. Version 5.0.1-1 moved it to
> > /usr/bin which breaks most of the system including network, wdm and many
> > more.
> 
> Thanks for this. Debianutils is not a forked package and Devuan uses Debian's
> packages directly without recompilation. Therefore, in principle, this should be
> reported to Debian's BTS to be fixed there.

That is true. But from the fact that Michael Biebl did this (both)
incompatibilities and that he does not care about anything else than
systemd, I will never ever again file a bug report in debian itself.

Michael Biebl, who is one of the main problems regarding the whole
systemd trouble, is no one I want to get frustrated with anymore!

> I suspect the Debian maintainer's answer may be that this merely uncovers a bug
> in the packages which hardcode /bin/run-parts and you should bug them
> directly.

As told above, I think he will just ignore it and close it as wontfix as
he does it usually.

> Do you have specific examples?

Not easy to find. The scripts seem to be ok but not the binaries.

One (and the essential one) is ifupdown. After the update, I end without
network therefore. One another is, as you already wrote, x11. And there
seems to be one with cryptsetup or btrfs-tools as I got some error
messages about not supported CPU feature, which is not correct. But the
last could also be accourding to tempfile.

Regards
   Klaus
-- 
Klaus Ethgen                                       http://www.ethgen.ch/
pub  4096R/4E20AF1C 2011-05-16            Klaus Ethgen <Klaus@Ethgen.ch>
Fingerprint: 85D4 CA42 952C 949B 1753  62B3 79D0 B06F 4E20 AF1C
[signature.asc (application/pgp-signature, inline)]

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#602; Package debianutils. (Thu, 19 Aug 2021 07:22:02 GMT) (full text, mbox, link).


Acknowledgement sent to peat+dev1.bug@dismail.de:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Thu, 19 Aug 2021 07:22:06 GMT) (full text, mbox, link).


Message #20 received at 602@bugs.devuan.org (full text, mbox, reply):

From: peat+dev1.bug@dismail.de
To: 602@bugs.devuan.org
Subject: fix
Date: Thu, 19 Aug 2021 09:11:08 +0200
[Message part 1 (text/plain, inline)]
link /usr/bin/run-parts to /bin/run-parts

[xorg was fixed (bug: #992385,
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=992385) had also an
issue with debianutils like run-parts]


[OpenPGP_signature (application/pgp-signature, attachment)]

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#602; Package debianutils. (Thu, 19 Aug 2021 07:22:10 GMT) (full text, mbox, link).


Acknowledgement sent to peat+dev1.bug@dismail.de:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Thu, 19 Aug 2021 07:22:13 GMT) (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#602; Package debianutils. (Thu, 19 Aug 2021 20:12:01 GMT) (full text, mbox, link).


Acknowledgement sent to peat+dev1.bug@dismail.de:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Thu, 19 Aug 2021 20:12:05 GMT) (full text, mbox, link).


Message #30 received at 602@bugs.devuan.org (full text, mbox, reply):

From: peat+dev1.bug@dismail.de
To: 602@bugs.devuan.org
Subject: bug#602: resolved
Date: Thu, 19 Aug 2021 22:05:20 +0200
with debianutils (5.2-1) the issue is resolved

[symlink can be removed]

[debian bug #992410,
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=992410]


Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Sun Dec 4 12:31:07 2022;